<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::post("/admin/auth/login", [\App\Modules\Admin\Controllers\Admin\AuthController::class, "login"]);

Route::middleware([\App\Http\Middleware\AdminAuthMiddleware::class])->group(function () {
    Route::get("/admin/auth/profile", [\App\Modules\Admin\Controllers\Admin\AuthController::class, "profile"]);
    Route::post("/admin/auth/changePassword", [\App\Modules\Admin\Controllers\Admin\AuthController::class, "changePassword"]);

    Route::get("/admin/user/paginate", [\App\Modules\Admin\Controllers\Admin\UserController::class, "paginate"]);
    Route::post("/admin/user/changeStatus", [\App\Modules\Admin\Controllers\Admin\UserController::class, "changeStatus"]);
    Route::post("/admin/user/saveSetting", [\App\Modules\Admin\Controllers\Admin\UserController::class, "saveSetting"]);

    Route::get("/admin/banner/paginate", [\App\Modules\Admin\Controllers\Admin\BannerController::class, "paginate"]);
    Route::post("/admin/banner/store", [\App\Modules\Admin\Controllers\Admin\BannerController::class, "store"]);
    Route::post("/admin/banner/del", [\App\Modules\Admin\Controllers\Admin\BannerController::class, "del"]);
    Route::post("/admin/banner/changeStatus", [\App\Modules\Admin\Controllers\Admin\BannerController::class, "changeStatus"]);

    Route::get("/admin/common/groupMap", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "groupMap"]);
    Route::get("/admin/common/permissionMap", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "permissionMap"]);
    Route::get("/admin/common/settingMap", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "settingMap"]);
    Route::post("/admin/common/settingSave", [\App\Modules\Admin\Controllers\Admin\CommonController::class, "settingSave"]);

    Route::get("/admin/goods/specPaginate", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "specPaginate"]);
    Route::get("/admin/goods/specInfo", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "specInfo"]);
    Route::post("/admin/goods/specStore", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "specStore"]);
    Route::post("/admin/goods/specDelete", [\App\Modules\Admin\Controllers\Admin\GoodsController::class, "specDelete"]);

});
